pure-pw(8)

NAME

pure-pw - Manage virtual users files for Pure-FTPd

SYNTAX

pure-pw useradd login [-f passwd_file] [-F puredb_file] -u uid [-g gid]
                -D/-d home_directory [-c gecos]
                [-t download_bandwidth] [-T upload_bandwidth]
                [-n max number_of_files] [-N max_Mbytes]
                [-q upload_ratio] [-Q download_ratio]
                [-r <allow client host>/<mask>[,<ip>/<mask>]...] [-R <deny client host>/<mask>[,<ip>/<mask>]...]
                [-i <allow local host>/<mask>[,<ip>/<mask>]...] [-I <deny local host>/<mask>[,<ip>/<mask>]...]
                [-y <max number of concurrent sessions>]
                [-z <hhmm>-<hhmm>] [-m]
pure-pw usermod login [-f passwd_file] [-F puredb_file] [-u uid] [-g gid]
                -D/-d home_directory -[c gecos]
                [-t download_bandwidth] [-T upload_bandwidth]
                [-n max_number_of_files] [-N max_Mbytes]
                [-q upload_ratio] [-Q download_ratio]
                [-r <allow client host>/<mask>[,<ip>/<mask>]...] [-R <deny client host>/<mask>[,<ip>/<mask>]...]
                [-i <allow local host>/<mask>[,<ip>/<mask>]...] [-I <deny local host>/<mask>[,<ip>/<mask>]...]
                [-y <max number of concurrent sessions>]
                [-z <hhmm>-<hhmm>] [-m]
pure-pw userdel login [-f passwd_file] [-F puredb_file] [-m]
pure-pw passwd login [-f passwd_file] [-F puredb_file] [-m]
pure-pw show login [-f passwd_file] [-m]
pure-pw mkdb [<puredb_database_file> [-f passwd_file]] [-F puredb_file]
pure-pw list [-f passwd_file]

DESCRIPTION

Virtual users is a simple mechanism to store a list of users, with their password, name, uid, directory, etc. It's just like /etc/passwd. But it's not /etc/passwd. It's a different file, only for FTP.
It means that you can easily create FTP-only accounts without messing your system accounts.
Additionally, virtual users files can store individual quotas, ratios, bandwidth, etc. System accounts can't do this.
Thousands of virtual users can share the same system user, as long as they all are chrooted, and they have their own home directory.

FILES

/etc/pureftpd.passwd
/etc/pureftpd.pdb

ENVIRONMENT VARIABLES

PURE_PASSWDFILE If this variable is defined, this is the default value for the text password file. Without this variable, /etc/pureftpd.passwd is assumed.
PURE_DBFILE If this variable is defined, this is the default value for the PureDB password file. Without this variable, /etc/pureftpd.pdb is assumed.

EXAMPLES

Please read http://download.pureftpd.org/pub/pure-ftpd/doc/README.Virtual-Users

AUTHORS

Frank DENIS <j at pureftpd dot org>

SEE ALSO
ftp(1), pure-ftpd(8) pure-ftpwho(8) pure-mrtginfo(8) pure-uploadscript(8) pure-statsdecode(8) pure-pw(8) pure-quotacheck(8) pure-authd(8) pure-certd(8) RFC 959, RFC 2228, RFC 2389 and RFC 2428.